Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet

All Implemented Interfaces:
  `InputMapSet`

Direct Known Subclasses:
  `AquaInputMapSet`, `GnomeInputMapSet`, `WindowsInputMapSet`

public class BaseInputMapSet extends Object implements InputMapSet

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`BaseInputMapSet.ComboActions`
Taken from BasicComboBoxUI.Actions
`protected static class`
`BaseInputMapSet.DesktopPaneActions`
Taken from BasicDesktopPaneUI.Actions
`protected static class`
`BaseInputMapSet.FileChooserActions`
From sun.swing.FilePane via BasicFileChooserUI
`protected static class`
`BaseInputMapSet.ListActions`
From BasicListUI.Actions
`protected static class`
`BaseInputMapSet.RootPaneActions`
From BasicRootPaneUI.Actions
`protected static class`
`BaseInputMapSet.ScrollBarActions`
From BasicScrollBarUI.Actions
`protected static class`
`BaseInputMapSet.ScrollPaneActions`
From BasicScrollPaneUI.Actions
`protected static class`
`BaseInputMapSet.SliderActions`
From BasicSliderUI.Actions
`protected static class`
`BaseInputMapSet.SplitPaneActions`
`protected static class`
`BaseInputMapSet.TabbedPaneActions`
From BasicTabbedPaneUI.Actions
`protected static class`
`BaseInputMapSet.TableActions`
From BasicTableUI.Actions
`protected static class`
`BaseInputMapSet.TableHeaderActions`
`protected static class`
`BaseInputMapSet.TextComponentActions`
`protected static class`
`BaseInputMapSet.ToolBarActions`
From BasicToolBarUI.Actions
`protected static class`
`BaseInputMapSet.TreeActions`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COPY`
`static final String`
`CUT`
`static final String`
`PASTE`
`static final String`
`PRESSED`
`static final String`
`RELEASED`

## Constructor Summary

Constructors
Constructor
Description
`BaseInputMapSet()`

## Method Summary

Modifier and Type
Method
Description
`protected SubstanceInputMap`
`getActionControlFocusInputMap()`
`SubstanceInputMap`
`getButtonFocusInputMap()`
`SubstanceInputMap`
`getCheckBoxFocusInputMap()`
`SubstanceInputMap`
`getComboBoxAncestorInputMap()`
`SubstanceInputMap`
`getDesktopAncestorInputMap()`
`SubstanceInputMap`
`getEditorPaneFocusInputMap()`
`SubstanceInputMap`
`getFileChooserAncestorInputMap()`
`SubstanceInputMap`
`getFormattedTextFieldFocusInputMap()`
`SubstanceInputMap`
`getListFocusInputMap()`
`protected SubstanceInputMap`
`getMultilineTextComponentFocusInputMap()`
`SubstanceInputMap`
`getPasswordFieldFocusInputMap()`
`SubstanceInputMap`
`getRadioButtonFocusInputMap()`
`SubstanceInputMap`
`getRootPaneAncestorInputMap()`
`SubstanceInputMap`
`getScrollBarAncestorInputMap()`
`SubstanceInputMap`
`getScrollPaneAncestorInputMap()`
`SubstanceInputMap`
`getSliderFocusInputMap()`
`SubstanceInputMap`
`getSpinnerAncestorInputMap()`
`SubstanceInputMap`
`getSplitPaneAncestorInputMap()`
`SubstanceInputMap`
`getTabbedPaneAncestorInputMap()`
`SubstanceInputMap`
`getTabbedPaneFocusInputMap()`
`SubstanceInputMap`
`getTableAncestorInputMap()`
`SubstanceInputMap`
`getTableHeaderAncestorInputMap()`
`SubstanceInputMap`
`getTextAreaFocusInputMap()`
`SubstanceInputMap`
`getTextFieldFocusInputMap()`
`SubstanceInputMap`
`getTextPaneFocusInputMap()`
`SubstanceInputMap`
`getToggleButtonFocusInputMap()`
`SubstanceInputMap`
`getToolBarAncestorInputMap()`
`SubstanceInputMap`
`getTreeAncestorInputMap()`
`SubstanceInputMap`
`getTreeFocusInputMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PRESSED

public static final String PRESSED

See Also:
  - Constant Field Values

### RELEASED

public static final String RELEASED

See Also:
  - Constant Field Values

### COPY

public static final String COPY

### PASTE

public static final String PASTE

### CUT

public static final String CUT

## Constructor Details

### BaseInputMapSet

public BaseInputMapSet()

## Method Details

### getActionControlFocusInputMap

protected SubstanceInputMap getActionControlFocusInputMap()

### getButtonFocusInputMap

public SubstanceInputMap getButtonFocusInputMap()

Specified by:
  `getButtonFocusInputMap` in interface `InputMapSet`

### getCheckBoxFocusInputMap

public SubstanceInputMap getCheckBoxFocusInputMap()

Specified by:
  `getCheckBoxFocusInputMap` in interface `InputMapSet`

### getComboBoxAncestorInputMap

public SubstanceInputMap getComboBoxAncestorInputMap()

Specified by:
  `getComboBoxAncestorInputMap` in interface `InputMapSet`

### getDesktopAncestorInputMap

public SubstanceInputMap getDesktopAncestorInputMap()

Specified by:
  `getDesktopAncestorInputMap` in interface `InputMapSet`

### getMultilineTextComponentFocusInputMap

protected SubstanceInputMap getMultilineTextComponentFocusInputMap()

### getEditorPaneFocusInputMap

public SubstanceInputMap getEditorPaneFocusInputMap()

Specified by:
  `getEditorPaneFocusInputMap` in interface `InputMapSet`

### getFileChooserAncestorInputMap

public SubstanceInputMap getFileChooserAncestorInputMap()

Specified by:
  `getFileChooserAncestorInputMap` in interface `InputMapSet`

### getFormattedTextFieldFocusInputMap

public SubstanceInputMap getFormattedTextFieldFocusInputMap()

Specified by:
  `getFormattedTextFieldFocusInputMap` in interface `InputMapSet`

### getListFocusInputMap

public SubstanceInputMap getListFocusInputMap()

Specified by:
  `getListFocusInputMap` in interface `InputMapSet`

### getPasswordFieldFocusInputMap

public SubstanceInputMap getPasswordFieldFocusInputMap()

Specified by:
  `getPasswordFieldFocusInputMap` in interface `InputMapSet`

### getRadioButtonFocusInputMap

public SubstanceInputMap getRadioButtonFocusInputMap()

Specified by:
  `getRadioButtonFocusInputMap` in interface `InputMapSet`

### getRootPaneAncestorInputMap

public SubstanceInputMap getRootPaneAncestorInputMap()

Specified by:
  `getRootPaneAncestorInputMap` in interface `InputMapSet`

### getScrollBarAncestorInputMap

public SubstanceInputMap getScrollBarAncestorInputMap()

Specified by:
  `getScrollBarAncestorInputMap` in interface `InputMapSet`

### getScrollPaneAncestorInputMap

public SubstanceInputMap getScrollPaneAncestorInputMap()

Specified by:
  `getScrollPaneAncestorInputMap` in interface `InputMapSet`

### getSliderFocusInputMap

public SubstanceInputMap getSliderFocusInputMap()

Specified by:
  `getSliderFocusInputMap` in interface `InputMapSet`

### getSpinnerAncestorInputMap

public SubstanceInputMap getSpinnerAncestorInputMap()

Specified by:
  `getSpinnerAncestorInputMap` in interface `InputMapSet`

### getSplitPaneAncestorInputMap

public SubstanceInputMap getSplitPaneAncestorInputMap()

Specified by:
  `getSplitPaneAncestorInputMap` in interface `InputMapSet`

### getTabbedPaneAncestorInputMap

public SubstanceInputMap getTabbedPaneAncestorInputMap()

Specified by:
  `getTabbedPaneAncestorInputMap` in interface `InputMapSet`

### getTabbedPaneFocusInputMap

public SubstanceInputMap getTabbedPaneFocusInputMap()

Specified by:
  `getTabbedPaneFocusInputMap` in interface `InputMapSet`

### getTableAncestorInputMap

public SubstanceInputMap getTableAncestorInputMap()

Specified by:
  `getTableAncestorInputMap` in interface `InputMapSet`

### getTableHeaderAncestorInputMap

public SubstanceInputMap getTableHeaderAncestorInputMap()

Specified by:
  `getTableHeaderAncestorInputMap` in interface `InputMapSet`

### getTextAreaFocusInputMap

public SubstanceInputMap getTextAreaFocusInputMap()

Specified by:
  `getTextAreaFocusInputMap` in interface `InputMapSet`

### getTextFieldFocusInputMap

public SubstanceInputMap getTextFieldFocusInputMap()

Specified by:
  `getTextFieldFocusInputMap` in interface `InputMapSet`

### getTextPaneFocusInputMap

public SubstanceInputMap getTextPaneFocusInputMap()

Specified by:
  `getTextPaneFocusInputMap` in interface `InputMapSet`

### getToggleButtonFocusInputMap

public SubstanceInputMap getToggleButtonFocusInputMap()

Specified by:
  `getToggleButtonFocusInputMap` in interface `InputMapSet`

### getToolBarAncestorInputMap

public SubstanceInputMap getToolBarAncestorInputMap()

Specified by:
  `getToolBarAncestorInputMap` in interface `InputMapSet`

### getTreeAncestorInputMap

public SubstanceInputMap getTreeAncestorInputMap()

Specified by:
  `getTreeAncestorInputMap` in interface `InputMapSet`

### getTreeFocusInputMap

public SubstanceInputMap getTreeFocusInputMap()

Specified by:
  `getTreeFocusInputMap` in interface `InputMapSet`